Jump to content
Sign in to follow this  
RALIN

Установка ViPNet CSP 4.2.10 на Windows server 2008 R2 sp2(все обновления)

Recommended Posts

Коллеги, возможно кто подскажет.

Очень хочется использовать ViPNet CSP, взамен Крито ПРО CSP.

Но при попытке установки дистрибутива с сайта версии ViPNet CSP 4.2.10 из бета канала.

Или же установки 4.2.8.51670 из релиз канала.

Установщик пишет "Данный установочный пакет не поддерживается текущей версией Windows", хотя поддержка Win server 2008 заявлена.

Установка идет на Windows server 2008 R2 Enterprise service pack 2, на котором установлены все последние обновления.

При этом при установки, на тестовой машине, на Windows Server 2008 R2 Standard с sp 1, установка проходит корректно.

Прикладываю лог установщика, от версии 4.2.10 из бета канала, у 4.2.8.51670 из релиз канала он похож.

Ссылка на весь лог, так как тут ограничение на размер файлов:

https://cloud.mail.ru/public/HtvB/zae1rap7S

Как понял проблема в:

MSI (c) (D4:78) [19:29:52:830]: Doing action: LaunchConditions
Action 19:29:52: LaunchConditions. Выполняется проверка ограничений.
Action start 19:29:52: LaunchConditions.
Данный установочный пакет не поддерживается текущей версией Windows.
MSI (c) (D4:78) [19:29:56:729]: Product: ViPNet CSP -- Данный установочный пакет не поддерживается текущей версией Windows.

Action ended 19:29:56: LaunchConditions. Return value 3.

 

Возможно кто то поможет с решением?

 

Share this post


Link to post
Share on other sites

ViPNet CSP 4.2.8 не поддерживает ОС младше Win7, а Windows Server 2008 (без R2) сделан на базе Win Vista (номер сборки 6002). А вот R2 имеет ядро от Win7 (номер сборки 7601), поэтому на R2 ставится, а на неR2 - нет. Попробуйте версию 4.2.2, он поддерживает и XP и висту, а значит и сервер 208 не R2.

Share this post


Link to post
Share on other sites

Или у вас изначально на R2 не ставится? Похоже я неправильно прочитал. Windows Installer какой версии?

Share this post


Link to post
Share on other sites
6 минут назад, kelz сказал:

Или у вас изначально на R2 не ставится? Похоже я неправильно прочитал. Windows Installer какой версии?

Прошу прощения, это я не верно написал, так как запутался в R2 и без.

Не ставится именно на Windows Server 2008 (без R2), в свойствах пишет номер сборки 6002.

Как Вы и написали, большое спасибо!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use.